### Function

# Foundry Triplet new

#### Declaration [src]

    FoundryTriplet*
    foundry_triplet_new (
      const char* full_name
    )

#### Description [src]

Creates a new `FoundryTriplet` from a given identifier. This identifier can be a simple architecture name, a duet of “arch-kernel” (like “m68k-coff”), a triplet of “arch-kernel-os” (like “x86_64-linux-gnu”) or a quadriplet of “arch-vendor-kernel-os” (like “i686-pc-linux-gnu”).

#### Parameters

`full_name`

  Type: `const char*`

  The complete identifier of the machine.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryTriplet`

An `FoundryTriplet`.

The caller of the function takes ownership of the data, and is responsible for freeing it.